## FMAObjectMenu FMAObjectMenu — The Menu Class Definition |

## Functions

#define | FMA_OBJECT_MENU()
#define | FMA_IS_OBJECT_MENU()
FMAObjectMenu * | fma_object_menu_new ()
FMAObjectMenu * | fma_object_menu_new_with_defaults ()

## Types and Values

#define | FMA_TYPE_OBJECT_MENU
| FMAObjectMenu

## Includes

    #include <filemanager-actions/fma-object-menu.h>

## Description

## Functions

### FMA_OBJECT_MENU()

    #define FMA_OBJECT_MENU( object )           ( G_TYPE_CHECK_INSTANCE_CAST( object, FMA_TYPE_OBJECT_MENU, FMAObjectMenu ))

### FMA_IS_OBJECT_MENU()

    #define FMA_IS_OBJECT_MENU( object )        ( G_TYPE_CHECK_INSTANCE_TYPE( object, FMA_TYPE_OBJECT_MENU ))

### fma_object_menu_new ()

    FMAObjectMenu *
    fma_object_menu_new (void);

Allocates a new FMAObjectMenu object.

#### Returns

the newly allocated FMAObjectMenu object.

Since: 2.30

### fma_object_menu_new_with_defaults ()

    FMAObjectMenu *
    fma_object_menu_new_with_defaults (void);

Allocates a new FMAObjectMenu object, and setup default values.

#### Returns

the newly allocated FMAObjectMenu object.

Since: 2.30

## Types and Values

### FMA_TYPE_OBJECT_MENU

    #define FMA_TYPE_OBJECT_MENU                ( fma_object_menu_get_type())

### FMAObjectMenu

    typedef struct {
    } FMAObjectMenu;